Retrieve the status of detection alert migrations
Base URL
https://{kibana_url}
GET
/api/detection_engine/signals/migration_status
GET
/s/{space_id} /api/detection_engine/signals/migration_status
Auth
Deprecated
DEPRECATED. This endpoint was used for historical .siem-signals-* index migration workflows. Do not use
for new automations; there is no supported replacement in this public API.
WARNING: Prefer upgrading through supported Elastic stack upgrades rather than ad-hoc index migrations.
Retrieves indices that contain detection alerts of a particular age, along with migration information for
each of those indices.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
from
string · format: date-math
required
Maximum age of qualifying detection alerts
Example:
now-30d
indices
object []
required
−
Hide 5 properties
index
string · format: nonempty · min length: 1
required
A string that does not contain only whitespace characters
is_outdated
boolean
required
migrations
object []
required
−
Hide 4 properties
id
string · format: nonempty · min length: 1
required
A string that does not contain only whitespace characters
status
enum
required
Values:
success
failure
pending
updated
string · format: date-time
required
signal_versions
object []
required
−
Hide 2 properties
400
Invalid input data response
application/json
One of:
−
Hide 2 properties
status_code
integer
required
401
Unsuccessful authentication response
application/json
statusCode
integer
required
500
Internal server error response
application/json
status_code
integer
required